# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Config/Model/Exception.pm) perl(Config/Model/ObjTreeScanner.pm) perl(ExtUtils/testlib.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Config-Model-CursesUI
Version:        1.104
Release:        alt1_7
Summary:        Curses interface to edit config data
License:        LGPLv2+
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Config-Model-CursesUI/
Source0:        http://www.cpan.org/authors/id/D/DD/DDUMONT/Config-Model-CursesUI-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Config/Model.pm)
BuildRequires:  perl(Curses/UI.pm)
BuildRequires:  perl(Exception/Class.pm)
BuildRequires:  perl(Log/Log4perl.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
This class provides a Curses::UI interface to configuration data managed by
Config::Model.

%prep
%setup -q -n Config-Model-CursesUI-%{version}

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc ChangeLog README
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.104-alt1_7
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.104-alt1_6
- update to new release by fcimport

* Sun May 27 2012 Igor Vlasenko <viy@altlinux.ru> 1.104-alt1_4
- fc import

